//
//  MOTTypeTextField.h
//  MOTTypeTextField
//
//  Created by 牛帮主 on 17/1/12.
//  Copyright © 2017年 牛帮主. All rights reserved.
//

#import <UIKit/UIKit.h>

typedef enum {
    TEXTFIELD_TYPE_NONE,//没有规则
    TEXTFIELD_TYPE_POS_NUMBER,//仅可以输入非负整数
    TEXTFIELD_TYPE_ENGLISH_WORD,//仅可以输入英文字母
    TEXTFIELD_TYPE_NUMBER_LINE_WORD,//仅可以输入数字，下划线，英文字母
    TEXTFIELD_TYPE_OTHER,//其他类型，需要自己匹配正则表达式
}TEXTFIELD_TYPE;//输入内容类型，默认没有规则

typedef void(^returnKeyBlock)(UITextField *textField);

@interface MOTTypeTextField : UIView

@property (strong, nonatomic) UITextField *textField;
@property (assign, nonatomic) TEXTFIELD_TYPE textfield_type;

//最大值，只有在TEXTFIELD_TYPE_POS_NUMBER的情况下有效
@property (assign, nonatomic) BOOL numberLimit;//是否开启最大值限制，默认关闭
@property (assign, nonatomic) NSUInteger maxNumber;

//正则表达式
@property (copy, nonatomic) NSString *regex;

//按下return键的处理方法block
@property (copy, nonatomic) returnKeyBlock returnKeyBlock;

@end
